SellTraces Ingest
Get ingest job status
GET
/
api
/
ingest
/
jobs
/
{jobId}
Get ingest job status
curl --request GET \
--url https://app.rebates.ai/api/ingest/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.rebates.ai/api/ingest/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.rebates.ai/api/ingest/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"job": {
"id": "<string>",
"source": "<string>",
"traceCount": 4503599627370495,
"rejectedCount": 4503599627370495,
"estimatedUsd": 123,
"errorMessage": "<string>",
"enqueuedAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>"
}
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}Authorizations
bearerAuthbetterAuthCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ingest job id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I
Get ingest job status
